/****************************************************************************************
 * KF8A系列单片机	KF8A100EON_DEMO	开发板演示程序
 * 标    题: ADC实验
 * 项目名: 06- ADC_Test
 * 开发环境：ChipON IDE
 * 版          本     ：V1.0 (2019/07/23)
 * 作 者: 上海芯旺微电子有限公司
 * 功能简述: KF8A100的ADC为12位，将采集的ADC原始值定时 输出打印到PC显示
 * 硬件说明： 将P34与滑动变阻器短接，调节滑动变阻器，改变AD值，插入USB线与PC通信，
 * 跳线接法： 单片机供电选择为3.3V或5V
 ****************************************************************************************/
#include<KF8A100EON.h>
#include"include.h"

volatile uint Timer2_count;
uint ADC_temp;
void Sys_Init(void)
{
	OSCCTL = 0x70;		//时钟配置为内部16M
	TR0=0;
	TR1=0;
	TR2=0;
	TR3=0;
	P0=0;
	P1=0;
	P2=0;
	P3=0;
}

void main()
{
	Sys_Init();
	ADC_Init();
	UART_Init();
	Timer2_Init();

	while(1)
	{
		if(Timer2_count>=1)
		{
			Timer2_count=0;
			ADC_temp=Adc_read();
			UART_SendBuf((ADC_temp&0xff00)>>8);
			UART_SendBuf(ADC_temp);
		}
	}

}
//中断函数0:0X04入口地址
void int_fun0() __interrupt (0)
{
	if(T2IF)
	{
		T2IF=0;
		Timer2_count++;
	}
}


//中断函数1:0x14入口地址
void int_fun1() __interrupt (1)
{

}
